コンテンツへスキップ

Qwen Image Edit Plus

統合

モデルID qwen-image-edit-plus
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image-edit-plus?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.03 30 APIクレジット このページで実行

APIキーを取得
Alibaba 画像編集 #image-editing#image-to-image#high-quality-text

テキスト編集向けに調整され、最大100ステップに対応するマルチ画像編集モデル(Qwen-Image-Edit-2509)

Alibaba · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成を誘導するプロンプト。

•必須 image_urls
ファイルをドロップ、または

編集対象の画像を指すURL。

image_size デフォルト square_hd

生成画像の寸法。

num_images デフォルト 1

生成する画像の枚数。

詳細設定 negative_prompt · output_format · acceleration · num_inference_steps · guidance_scale · seed · enable_safety_checker
デフォルト

生成時に使用するネガティブプロンプト。

output_format デフォルト png

結果の画像のファイル形式。

acceleration デフォルト regular

'none' と 'regular' から選ぶ画像生成の高速化。'regular' は品質と速度のバランスを取り、高速化を強めると生成が速くなります。

デフォルト 50

実行する推論ステップ数。

デフォルト 4

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。

POST /run/qwen-image-edit-plus?wait=20 見積もり → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image-edit-plus?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Qwen Image Edit Plusについて

`prompt`と`image_urls`から1枚以上の画像を編集し、画像内テキストの変更や複数入力に適しています。`image_size`のデフォルトはsquare_hd、ステップ数は最大100(デフォルト50)、`guidance_scale`は0~20です。pngまたはjpegで1回あたり最大4枚を出力します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成を誘導するプロンプト。
image_size任意
型object
デフォルトsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成画像の寸法。
num_inference_steps任意
型integer
デフォルト50
2 – 100
実行する推論ステップ数。
seed任意
型integer | null
再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。
guidance_scale任意
型number
デフォルト4
0 – 20
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像の枚数。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェック。安全でないと判定された画像の代わりに黒い画像を返します。true でチェックを有効にし、false では権限のあるアカウントのみ無効にできます。権限のないアカウントのリクエストは常にチェックされます。
output_format任意
型enum
デフォルトpng
jpegpng
結果の画像のファイル形式。
image_urls必須 images
型url[] · image
編集対象の画像を指すURL。
negative_prompt任意
型string
デフォルト
生成時に使用するネガティブプロンプト。
acceleration任意
型enum
デフォルトregular
noneregular
'none' と 'regular' から選ぶ画像生成の高速化。'regular' は品質と速度のバランスを取り、高速化を強めると生成が速くなります。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "qwen-image-edit-plus",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, width, height, content_type}生成画像のファイル情報。
timings
object
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/qwen-image-edit-plus.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt